<img alt="Cover Image" src="assets/retypeset-en-desktop.webp"/>
<img alt="Cover Image" src="assets/retypeset-en-mobile.webp"/>

<div align="center">
  <picture>
    <source media="(prefers-color-scheme: dark)"
            srcset="https://img.shields.io/badge/-English-4593F8?style=for-the-badge" />
    <source media="(prefers-color-scheme: light)"
            srcset="https://img.shields.io/badge/-English-0A69DA?style=for-the-badge" />
    <img src="https://img.shields.io/badge/-English-0A69DA?style=for-the-badge" alt="English">
  </picture>
  <a title="zh" href="README.zh.md">
    <img src="https://img.shields.io/badge/-%E7%AE%80%E4%BD%93%E4%B8%AD%E6%96%87-545759?style=for-the-badge" alt="简体中文">
  </a>
</div>

# Retypeset

Retypeset is a static blog theme based on the [Astro](https://astro.build/) framework. Inspired by [Typography](https://astro-theme-typography.vercel.app/), Retypeset establishes a new visual standard and reimagines the layout of all pages, creating a reading experience reminiscent of paper books, reviving the beauty of typography. Details in every sight, elegance in every space.

## Demo

- [Retypeset](https://retypeset.radishzz.cc/en/)
- [Retipografía](https://retypeset.radishzz.cc/es/)
- [Переверстка](https://retypeset.radishzz.cc/ru/)
- [重新编排](https://retypeset.radishzz.cc/)
- [重新編排](https://retypeset.radishzz.cc/zh-tw/)
- [再組版](https://retypeset.radishzz.cc/ja/)

## Features

- Built with Astro and UnoCSS
- Support for SEO, Sitemap, OpenGraph, TOC, RSS, MDX and KaTeX
- i18n support
- Light / Dark mode
- Elegant view transitions
- Rich theme customization
- Optimized typography
- Responsive design
- Comment system

## Performance

<p align="center">
  <a href="https://pagespeed.web.dev/analysis?url=https%3A%2F%2Fretypeset.radishzz.cc%2F">
    <img width="710" alt="Retypeset Lighthouse Score" src="assets/retypeset-lighthouse-score.svg">
  <a>
</p>

## Usage

1. [`Fork`](https://github.com/radishzzz/astro-theme-retypeset/fork) this repository, or use this template to create a new repository.

2. In your forked repository, click the `Code` button, copy the `HTTPS` repository URL, and run the following commands in your terminal:

   ```bash
   # Clone the remote repository to your local machine
   git clone <repository-url>

   # Navigate to the repository directory
   cd <repository-name>

   # Install pnpm globally (if not already installed)
   npm install -g pnpm

   # Install project dependencies
   pnpm install

   # Start the local development server
   pnpm dev
   ```

3. Open [http://localhost:4321/](http://localhost:4321/) in your browser to preview the theme in real-time.

4. Modify the theme configuration file [src/config.ts](https://github.com/radishzzz/astro-theme-retypeset/blob/master/src/config.ts) to customize your blog.

5. Commit and push your changes to the remote repository.

## Documentation

- [Theme Guide](https://retypeset.radishzz.cc/en/posts/theme-guide/)
- [Markdown Style Guide](https://retypeset.radishzz.cc/en/posts/markdown-style-guide/)
- [Theme Color Schemes](https://retypeset.radishzz.cc/en/posts/theme-color-schemes/)

## Deploy

1. Click `Deploy to Netlify` or `Deploy to Vercel` below.

[![Deploy to Netlify](assets/deploy-netlify.svg)](https://app.netlify.com/start)
[![Deploy to Vercel](assets/deploy-vercel.svg)](https://vercel.com/new)

1. Follow the instructions, select your repository, and click `Deploy` to start deployment.

2. For other platforms, please refer to the [Astro Deployment Guides](https://docs.astro.build/en/guides/deploy/).

## Updates

Retypeset releases new features and bug fixes from time to time. You can refer to the [GitHub Docs](https://docs.github.com/en/pull-requests/collaborating-with-pull-requests/working-with-forks/syncing-a-fork) to run `Sync fork` in your forked repository to synchronize with the latest branch. Be careful not to click `Discard Changes`, or you will lose your modifications.

## Commands

All commands are run from the root of the project, from a terminal:

| Command                | Action                                           |
| :--------------------- | :----------------------------------------------- |
| `pnpm install`         | Install project dependencies                     |
| `pnpm dev`             | Starts local dev server at `localhost:4321`      |
| `pnpm build`           | Build your production site to `./dist/`          |
| `pnpm preview`         | Preview your build locally, before deploying     |
| `pnpm astro ...`       | Run CLI commands like `astro add`, `astro check` |
| `pnpm astro -- --help` | Get help using the Astro CLI                     |

## Credits

- [Typography](https://github.com/moeyua/astro-theme-typography)
- [Fuwriu](https://github.com/saicaca/fuwari)
- [Redefine](https://github.com/EvanNotFound/hexo-theme-redefine)
- [AstroPaper](https://github.com/satnaing/astro-paper)
- [heti](https://github.com/sivan/heti)
- [EarlySummerSerif](https://github.com/GuiWonder/EarlySummerSerif)

## Star History

Thank you to everyone who has starred this project. Your support motivates me to keep maintaining it!

<p align="center">
<a href="https://star-history.com/#radishzzz/astro-theme-retypeset&Date">
  <picture>
    <source media="(prefers-color-scheme: dark)" srcset="https://api.star-history.com/svg?repos=radishzzz/astro-theme-retypeset&type=Date&theme=dark" />
    <source media="(prefers-color-scheme: light)" srcset="https://api.star-history.com/svg?repos=radishzzz/astro-theme-retypeset&type=Date" />
    <img alt="Star History Chart" src="https://api.star-history.com/svg?repos=radishzzz/astro-theme-retypeset&type=Date" />
  </picture>
</p>
